%define upstream_name       autodie
%define upstream_version    2.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Lexically have functions succeed or die
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/autodie/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
Provides:      perl(autodie)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
'Fatal' provides a way to conveniently replace functions which normally
return a false value when they fail with equivalents which raise exceptions
if they are not successful. This lets you use these functions without
having to test their return values explicitly on each call. Exceptions can
be caught using 'eval{}'. See the perlfunc manpage and the perlvar manpage
for details.

The do-or-die equivalents are set up simply by calling Fatal's 'import'
routine, passing it the names of the functions to be replaced. You may wrap
both user-defined functions and overridable CORE operators (except 'exec',
'system', 'print', or any other built-in that cannot be expressed via
prototypes) in this way.

If the symbol ':void' appears in the import list, then functions named
later in that import list raise an exception only when these are called in
void context--that is, when their return values are ignored. For example

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.60.0-1mdv2010.0
+ Revision: 393196
- new version

* Sun Mar 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.999-1mdv2009.1
+ Revision: 346281
- new version

* Sun Feb 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.998-1mdv2009.1
+ Revision: 336070
- import perl-autodie


* Sun Feb 01 2009 cpan2dist 1.998-1mdv
- initial mdv release, generated with cpan2dist

